package com.jsowell.pile.mapper;

import com.jsowell.pile.domain.AdapayMemberAccount;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface AdapayMemberAccountMapper {
    /**
     * delete by primary key
     *
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * insert record to table
     *
     * @param record the record
     * @return insert count
     */
    int insert(AdapayMemberAccount record);

    int insertOrUpdate(AdapayMemberAccount record);

    int insertOrUpdateSelective(AdapayMemberAccount record);

    /**
     * insert record to table selective
     *
     * @param record the record
     * @return insert count
     */
    int insertSelective(AdapayMemberAccount record);

    /**
     * select by primary key
     *
     * @param id primary key
     * @return object by primary key
     */
    AdapayMemberAccount selectByPrimaryKey(Integer id);

    /**
     * update record selective
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(AdapayMemberAccount record);

    /**
     * update record
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(AdapayMemberAccount record);

    int updateBatch(List<AdapayMemberAccount> list);

    int batchInsert(@Param("list") List<AdapayMemberAccount> list);

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    AdapayMemberAccount selectAdapayMemberAccountById(Long id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param adapayMemberAccount 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    List<AdapayMemberAccount> selectAdapayMemberAccountList(AdapayMemberAccount adapayMemberAccount);

    /**
     * 新增【请填写功能名称】
     *
     * @param adapayMemberAccount 【请填写功能名称】
     * @return 结果
     */
    int insertAdapayMemberAccount(AdapayMemberAccount adapayMemberAccount);

    /**
     * 修改【请填写功能名称】
     *
     * @param adapayMemberAccount 【请填写功能名称】
     * @return 结果
     */
    int updateAdapayMemberAccount(AdapayMemberAccount adapayMemberAccount);

    /**
     * 删除【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    int deleteAdapayMemberAccountById(Long id);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteAdapayMemberAccountByIds(List<String> ids);

    AdapayMemberAccount selectByMerchantId(String merchantId);

    void deleteByMemberId(String memberId);

    void updateAdapayMemberAccountByMemberId(AdapayMemberAccount adapayMemberAccount);

    AdapayMemberAccount selectByMemberId(String memberId);
}